// Import the mock data.
import coursesData from '../data/coursesData';
// Import CourseCard component
import CourseCard from '../components/CourseCard';

export default function Courses() {

	// Check to see if the mock data was captured
	console.log(coursesData);
	const courses = coursesData.map(course =>{

		return(
			<CourseCard key = {course.id} courseProp = {course}/>
			)
	});
	return (
		<>
			{courses}

		</>
	)
}